import { request } from 'umi';

//获取分页数据
export async function getGoodstechnologypage(data) {
  return request(`/saasbase/api/productfunction/page`, {
    method: 'Post',
    data: data,
  });
}
export async function addgoodstechnology(data) {
    return request(`/saasbase/api/productfunction/add`, {
      method: 'Post',
      data: data,
    });
  }
  export async function updategoodstechnology(data) {
    return request(`/saasbase/api/productfunction/update`, {
      method: 'Post',
      data: data,
    });
  }
  export async function deletegoodstechnology(data) {
    return request(`/saasbase/api/productfunction/delete`, {
      method: 'Post',
      data: data,
    });
  }
  export async function getproducttopicspage(data) {
    return request(`/saasbase/api/producttopics/page`, {
      method: 'Post',
      data: data,
    });
  }
  export async function addproducttopics(data) {
      return request(`/saasbase/api/producttopics/add`, {
        method: 'Post',
        data: data,
      });
    }
    export async function updateproducttopics(data) {
      return request(`/saasbase/api/producttopics/update`, {
        method: 'Post',
        data: data,
      });
    }
    export async function deleteproducttopics(data) {
      return request(`/saasbase/api/producttopics/delete`, {
        method: 'Post',
        data: data,
      });
    }
  export async function gettechnologyactionList(data) {
    return request(`/saasbase/api/productfunction/getproductfunctionaction?productFunctionId=`+data, {
      method: 'Get',
    });
  }
  export async function addtechnologyaction(data) {
    return request(`/saasbase/api/productfunction/addproductfunctionaction`, {
      method: 'Post',
      data: data,
    });
  }
  export async function updatetechnologyaction(data) {
    return request(`/saasbase/api/productfunction/updateproductfunctionaction`, {
      method: 'Post',
      data: data,
    });
  }
  export async function deletetechnologyaction(data) {
    return request(`/saasbase/api/productfunction/delproductfunctionaction`, {
      method: 'Post',
      data: data,
    });
  }

  export async function GetDeviceVesion(TypeCode) {
    return request(`/saasbase/api/devicevesion/getdevicevesion?productId=${TypeCode}`, {
      method: 'Get',
    });
  }